summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--eclass/ChangeLog6
-rw-r--r--eclass/kde4-meta.eclass9
2 files changed, 7 insertions, 8 deletions
diff --git a/eclass/ChangeLog b/eclass/ChangeLog
index b8cee14249a3..0ca2d4ebf110 100644
--- a/eclass/ChangeLog
+++ b/eclass/ChangeLog
@@ -1,6 +1,10 @@
# ChangeLog for eclass directory
# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.216 2012/04/19 17:33:19 slyfox Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.217 2012/04/19 19:49:25 dilfridge Exp $
+
+ 19 Apr 2012; Andreas K. Huettel <dilfridge@gentoo.org> kde4-meta.eclass:
+ No ewarns even if tar misses some files on unpack, as that is so common it's
+ pretty much useless.
19 Apr 2012; Sergei Trofimovich <slyfox@gentoo.org> haskell-cabal.eclass:
Added CABAL_FEATURES=test-suite by Alexander Vershilov. It enables building
diff --git a/eclass/kde4-meta.eclass b/eclass/kde4-meta.eclass
index db2cec7d74ac..405210d91c28 100644
--- a/eclass/kde4-meta.eclass
+++ b/eclass/kde4-meta.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/kde4-meta.eclass,v 1.62 2012/04/04 15:10:20 johu Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/kde4-meta.eclass,v 1.63 2012/04/19 19:49:25 dilfridge Exp $
#
# @ECLASS: kde4-meta.eclass
# @MAINTAINER:
@@ -253,12 +253,7 @@ kde4-meta_src_extract() {
# Print out all issues found executing tar / kmextract files
# Set on if you want to find issues in kde-base ebuild unpack sequences
[[ -n ${KDE4_STRICTER} ]] && echo 'tar -xpf "${tarfile}" ${KMTARPARAMS} ${extractlist}'
- if [[ ${I_KNOW_WHAT_I_AM_DOING} ]]; then
- # to make the devs happy - bug 338397
- tar -xpf "${tarfile}" ${KMTARPARAMS} ${extractlist} || ewarn "tar extract command failed at least partially - continuing anyway"
- else
- tar -xpf "${tarfile}" ${KMTARPARAMS} ${extractlist} 2> /dev/null || echo "tar extract command failed at least partially - continuing anyway"
- fi
+ tar -xpf "${tarfile}" ${KMTARPARAMS} ${extractlist} 2> /dev/null || echo "tar extract command failed at least partially - continuing anyway"
# Default $S is based on $P; rename the extracted directory to match $S if necessary
if [[ ${KMNAME} != ${PN} ]]; then